Name:           cvsgraph
Version:        1.4.0
Release:        0.fdr.3.rh80
Epoch:          0
Summary:        A CVS/RCS repository grapher

Group:          Development/Tools
License:        GPL
URL:            http://www.akhphd.au.dk/~bertho/cvsgraph/
Source0: http://www.akhphd.au.dk/~bertho/cvsgraph/release/cvsgraph-1.4.0.tar.gz
Source1:        %{name}-httpd.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gd-devel, byacc, flex, freetype-devel, libpng-devel, zlib-devel
BuildRequires:  libjpeg-devel, perl
# These aren't picked up automatically.
Requires:       freetype, libpng, libjpeg, zlib

%description
CvsGraph is a utility to make a graphical representation of all
revisions and branches of a file in a CVS/RCS repository. It has been
inspired by the 'graph' option in WinCVS.

%package web
Summary:        WWW interface to %{name}
Group:          Development/Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}, httpd, php

%description web
WWW interface to %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q
# Fix up paths in php files
rename .php3 .php *.php3
for file in *.php; do
  perl -pi -e \
    's|/home/bertho/public_html/cvsgraph/cvsgraph|%{_bindir}/cvsgraph|g ;
     s|/home/bertho/public_html/cvsgraph/conf/cvsgraph\.conf|%{_sysconfdir}/cvsgraph.conf|g ;
     s|/~bertho/cvsgraph/|./|g ;
     s|"/~bertho/cvsgraph"|"http://www.akhphd.au.dk/~bertho/cvsgraph/"|g ;
     s|\b1\.1\.2\b|%{version}|g ;
     s|\.php3\b|.php|g' \
     $file
done
# Fix man page path
perl -pi -e 's|/usr/local/etc|%{_sysconfdir}|g' cvsgraph.1
# Fix default config (the ttf's are in XFree86-truetype-fonts)
perl -pi -e \
  's|CSV/RCS|CVS/RCS|g ;
   s|"/home/bertho/tmp/cvstest"|"/home/cvs"|g ;
   s|"ttt"|""|g ;
   s|".+?/ariali\.ttf"|"%{_usr}/X11R6/lib/X11/fonts/TTF/luxisri.ttf"|g ;
   s|".+?/arial\.ttf"|"%{_usr}/X11R6/lib/X11/fonts/TTF/luxisr.ttf"|g ;
   s|".+?/times\.ttf"|"%{_usr}/X11R6/lib/X11/fonts/TTF/luxirr.ttf"|g ;
   s|".+?/arialbd\.ttf"|"%{_usr}/X11R6/lib/X11/fonts/TTF/luxisb.ttf"|g ;
   s|".+?/arialbi\.ttf"|"%{_usr}/X11R6/lib/X11/fonts/TTF/luxisbi.ttf"|g' \
   cvsgraph.conf

# -----------------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir},%{_mandir}/{man{1,5}}}
cp -p cvsgraph $RPM_BUILD_ROOT%{_bindir}
cp -p cvsgraph.conf $RPM_BUILD_ROOT%{_sysconfdir}
cp -p *.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -p *.5 $RPM_BUILD_ROOT%{_mandir}/man5

mkdir -p $RPM_BUILD_ROOT{%{_datadir}/%{name}/web,%{_sysconfdir}/httpd/conf.d}
cp -p *.php $RPM_BUILD_ROOT%{_datadir}/%{name}/web
perl -pe 's|/usr/share/cvsgraph/web\b|%{_datadir}/%{name}/web|' \
  %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post web
[ "$1" -eq 1 ] && %{_initrddir}/httpd reload >/dev/null || :

%postun web
%{_initrddir}/httpd reload >/dev/null || :

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc ChangeLog LICENSE README
%attr(0755,root,root) %{_bindir}/*
%config(noreplace) %{_sysconfdir}/cvsgraph.conf
%{_mandir}/*/*

%files web
%defattr(0644,root,root,0755)
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf

# -----------------------------------------------------------------------------

%changelog
* Sun Jun  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.0-0.fdr.3
- Address -web package comments in #56.
- Spec cleanups and tweaks according to current Fedora spec template.

* Fri Apr 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.0-0.fdr.2
- Fix missing Epoch in -web "main" package dependency.
- Save .spec in UTF-8.

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.0-0.fdr.1
- Update to 1.4.0 and current Fedora guidelines.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.3.0-1.fedora.1
- First Fedora release.
